module "QtQuick.Controls" is not installed

Bug #1634478 reported by Nec on 2016-10-18
84
This bug affects 21 people
Affects Status Importance Assigned to Milestone
kdenlive (Ubuntu)
Medium
Unassigned

Bug Description

Hello,

After upgrading Xubuntu from 16.04 to Yakkety 16.10, Kdenlive 16.04.3-0ubuntu1 is not starting anymore.
The error message is :

$ LANG=C kdenlive
qrc:/qml/kdenliveclipmonitor.qml:1:1: module "QtQuick.Controls" is not installed
qrc:/qml/kdenliveclipmonitor.qml:2:1: module "QtQuick.Controls.Styles" is not installed
qrc:/qml/kdenliveclipmonitor.qml:1:1: module "QtQuick.Controls" is not installed
qrc:/qml/kdenliveclipmonitor.qml:2:1: module "QtQuick.Controls.Styles" is not installed
Core dumped

I tried to reinstall :

# LANG=C apt install --reinstall kdenlive
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 1 reinstalled, 0 to remove and 0 not upgraded.
Need to get 1 844 kB of archives.
After this operation, 0 B of additional disk space will be used.
Get:1 http://fr.archive.ubuntu.com/ubuntu yakkety/universe i386 kdenlive i386 4:16.04.3-0ubuntu1 [1 844 kB]
Fetched 1 844 kB in 1s (972 kB/s)
(Reading database ... 578358 files and directories currently installed.)
Preparing to unpack .../kdenlive_4%3a16.04.3-0ubuntu1_i386.deb ...
Unpacking kdenlive (4:16.04.3-0ubuntu1) over (4:16.04.3-0ubuntu1) ...
Setting up kdenlive (4:16.04.3-0ubuntu1) ...
Processing triggers for mime-support (3.60ubuntu1) ...
Processing triggers for desktop-file-utils (0.23-1ubuntu1) ...
Processing triggers for gnome-menus (3.13.3-6ubuntu4) ...

I checked which QtQuick package was installed :

dpkg --list|grep -i qtquick
ii qml-module-qtquick2:i386 5.6.1-7ubuntu2~1 i386 Qt 5 Qt Quick 2 QML module

But Kdenlive is still failing to run.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in kdenlive (Ubuntu):
status: New → Confirmed
colas (colas-nahaboo-net) wrote :

Same problem here.

Solved by installing qml-module-qtquick-controls:

    sudo apt -y install qml-module-qtquick-controls

Fix seems like adding a mandatory dependency.

David Jordan (dmj726) wrote :

Kdenlive crashes if I just install the kdenlive package with the above error messages. After installing the qml-module-qtquick-controls package, Kdenlive starts successfully. Can we get a revised package with the needed module added to the dependencies?

Philip Muškovac (yofel) on 2016-12-17
Changed in kdenlive (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Triaged
tags: added: kubuntu yakkety zesty
Kai Mast (kai-mast) wrote :

Still a problem in artful with QuickControls2.

Why are there so many Qt packages with so many different naming conventions? It's kind of a pain to figure out which to install.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers